html{
 scroll-behavior: smooth;
}

/*上へボタンをつける*/
.top-button{
  position: fixed;
  right: 20px;
  bottom: 65px;
  width: 40px;
  height: 40px;
  background-color: rgba(155,155,155,0.6);
  color: #FFFFFF;
  text-decoration: none;
  text-align: center;
  line-height: 40px;
  border-radius: 25%;
  font-size: 20px;
}

.top-button:hover{
  background-color: rgba(66,66,66,0.6);
  color: #FFFFFF;
  text-decoration: none;
}

/*下へボタンをつける*/
.bottom-button{
  position: fixed;
  right: 20px;
  bottom: 20px;
  width: 40px;
  height: 40px;
  background-color: rgba(155,155,155,0.6);
  color: #FFFFFF;
  text-decoration: none;
  text-align: center;
  line-height: 40px;
  border-radius: 25%;
  font-size: 20px;
}

.bottom-button:hover{
  background-color: rgba(66,66,66,0.6);
  color: #FFFFFF;
  text-decoration: none;
}

/*ノーマルタイプのセルの装飾*/
td.normal{
    background-color: #CCCCCC;
    font-weight: bold;
}

/*ほのおタイプのセルの装飾*/
td.honoo{
    background-color: #EE9999;
    font-weight: bold;
}

/*みずタイプのセルの装飾*/
td.mizu{
    background-color: #99DDEE;
    font-weight: bold;
}

/*くさタイプのセルの装飾*/
td.kusa{
    background-color: #99DD99;
    font-weight: bold;
}

/*でんきタイプのセルの装飾*/
td.denki{
    background-color: #FFEE88;
    font-weight: bold;
}

/*こおりタイプのセルの装飾*/
td.koori{
    background-color: #AADDDD;
    font-weight: bold;
}

/*かくとうタイプのセルの装飾*/
td.kakutou{
    background-color: #FFBB99;
    font-weight: bold;
}

/*どくタイプのセルの装飾*/
td.doku{
    background-color: #DDAAEE;
    font-weight: bold;
}

/*じめんタイプのセルの装飾*/
td.jimen{
    background-color: #DDBB88;
    font-weight: bold;
}

/*ひこうタイプのセルの装飾*/
td.hikou{
    background-color: #AACCEE;
    font-weight: bold;
}

/*エスパータイプのセルの装飾*/
td.esper{
    background-color: #FFBBCC;
    font-weight: bold;
}

/*むしタイプのセルの装飾*/
td.musi{
    background-color: #CCDD88;
    font-weight: bold;
}

/*いわタイプのセルの装飾*/
td.iwa{
    background-color: #DDBBAA;
    font-weight: bold;
}

/*ゴーストタイプのセルの装飾*/
td.ghost{
    background-color: #DDBBDD;
    font-weight: bold;
}

/*ドラゴンタイプのセルの装飾*/
td.dragon{
    background-color: #88CCDD;
    font-weight: bold;
}

/*あくタイプのセルの装飾*/
td.aku{
    background-color: #BBBBCC;
    font-weight: bold;
}

/*はがねタイプのセルの装飾*/
td.hagane{
    background-color: #BBCCEE;
    font-weight: bold;
}

/*フェアリータイプのセルの装飾*/
td.fairy{
    background-color: #FFCCCC;
    font-weight: bold;
}

/*物理のセルの装飾*/
td.buturi{
    color: red;
    font-weight: bold;
}

/*特殊のセルの装飾*/
td.tokusyu{
    color: blue;
    font-weight: bold;
}

/*変化のセルの装飾*/
td.henka{
    font-weight: bold;
}